## com.sun.jersey.core.util
Class SaxHelper

    java.lang.Object
      com.sun.jersey.core.util.SaxHelper

    public final class SaxHelper

extends java.lang.Object

Author:
  Michal Gajdos (michal.gajdos at oracle.com)

Method Summary
`static boolean` `isXdkDocumentBuilderFactory(javax.xml.parsers.DocumentBuilderFactory builderFactory)` Determines whether the given `builderFactory` is from XDK package or not.
`static boolean` `isXdkParserFactory(javax.xml.parsers.SAXParserFactory parserFactory)` Determines whether the given SAX `parserFactory` is from XDK package or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isXdkParserFactory

    public static boolean isXdkParserFactory(javax.xml.parsers.SAXParserFactory parserFactory)

  Determines whether the given SAX `parserFactory` is from XDK package or not.

  Parameters:
    `parserFactory` - SAX parser factory to evaluate.
  Returns:
    `true` if the given SAX parser factory is an XDK factory, `false` otherwise.

### isXdkDocumentBuilderFactory

    public static boolean isXdkDocumentBuilderFactory(javax.xml.parsers.DocumentBuilderFactory builderFactory)

  Determines whether the given `builderFactory` is from XDK package or not.

  Parameters:
    `builderFactory` - document builder factory to evaluate.
  Returns:
    `true` if the given document builder factory is an XDK factory, `false` otherwise.

Copyright © 2017 Oracle Corporation. All Rights Reserved.